summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/tarpkg24
1 files changed, 24 insertions, 0 deletions
diff --git a/scripts/tarpkg b/scripts/tarpkg
new file mode 100755
index 000000000..c126af594
--- /dev/null
+++ b/scripts/tarpkg
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+# create/install compressed tar balls
+
+if [ "$1" = "build" ];then
+ if [ ! -d $2 ];then
+ echo "not a directory"
+ exit 1
+ fi
+ pkgname=$(grep "^Package:" $2/CONTROL/control | sed -e "s/^[^:]*:[[:space:]]*//")
+ version=$(grep "^Version:" $2/CONTROL/control | sed -e "s/^[^:]*:[[:space:]]*//")
+ arch=$(grep "^Architecture:" $2/CONTROL/control | sed -e "s/^[^:]*:[[:space:]]*//")
+ cd $2
+ rm -rf CONTROL
+ tar -czf $3/${pkgname}_${version}_${arch}.tar.gz .
+ cd -
+ exit 0
+elif [ "$1" = "install" ];then
+ tar -xzpf $2 -C ${INSTROOT}
+ exit 0
+else
+ echo "unknown command"
+ exit 1
+fi
+exit 0